Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class RemoveGroupFromGroupTag

    java.lang.Object
      TagSupport
          com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
              com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
                  com.bea.p13n.usermgmt.servlets.jsp.taglib.RemoveGroupFromGroupTag

All Implemented Interfaces
  UserManagementTagConstants

Deprecated Use com.bea.p13n.usermgmt.taglib.RemoveGroupFromGroupTag

    public class RemoveGroupFromGroupTag

extends ResultTag

Corresponds to `<um:removeGroupFromGroup>`.

The `<um:removeGroupFromGroup>` tag removes a child group from a parent group in a group hierarchy.

Tag Attribute | Required | Type | Description
childGroupName | yes | String | The name of the child group to remove from its parent.
parentGroupName | yes | String | The name of the parent group from which the child group will be removed.
result | yes | String | The name of an Integer variable to which the result of the remove group from group operation is assigned. Possible Values: Success: `UserManagerTagConstants.REMOVE_GROUP_OK` Failure: `UserManagerTagConstants.REMOVE_GROUP_FAILED`

Field Summary

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`result`

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from interface com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTagConstants
`ADD_GROUP_FAILED, ADD_GROUP_OK, ADD_USER_FAILED, ADD_USER_OK, CREATE_GROUP_FAILED, CREATE_GROUP_OK, CREATE_USER_FAILED, CREATE_USER_OK, DEFAULT_SEARCH_EXP, DEFAULT_USER_LIMIT, GET_PROFILE_FAILED, GET_PROFILE_OK, GROUP_CHANGE_FAILED, GROUP_CHANGE_OK, GROUP_EXISTS, LOGIN_ERROR, LOGIN_FAILED, LOGIN_OK, NO_SUCH_PROFILE, NO_SUCH_SUCCESSOR, REMOVE_GROUP_FAILED, REMOVE_GROUP_OK, REMOVE_USER_FAILED, REMOVE_USER_OK, RESERVED_GROUP_NAME, RESERVED_USER_NAME, SET_PASSWORD_FAILED, SET_PASSWORD_OK, SET_PROPERTY_FAILED, SET_PROPERTY_OK, USER_EXISTS, USER_LIMIT_EXCEEDED, USER_SEARCH_FAILED, USER_SEARCH_OK`

Constructor Summary
`RemoveGroupFromGroupTag()` Deprecated

Method Summary
`int` | `doStartTag()` Deprecated Go through the UserManager session bean to remove the child group from the parent group.
`String` | `getChildGroupName()` Deprecated Get the name of the child group
`String` | `getParentGroupName()` Deprecated Get the name of the parent group
`void` | `release()` Deprecated Reset the tag's attributes
`void` | `setChildGroupName(String childGroupName)` Deprecated Set the name of the child group
`void` | `setParentGroupName(String parentGroupName)` Deprecated Set the name of the parent group

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`getResult, setResult`

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoveGroupFromGroupTag

    public RemoveGroupFromGroupTag()

  Deprecated

Method Detail

### setParentGroupName

    public void setParentGroupName(String parentGroupName)

  Deprecated
  Set the name of the parent group

### getParentGroupName

    public String getParentGroupName()

  Deprecated
  Get the name of the parent group

### setChildGroupName

    public void setChildGroupName(String childGroupName)

  Deprecated
  Set the name of the child group

### getChildGroupName

    public String getChildGroupName()

  Deprecated
  Get the name of the child group

### doStartTag

    public int doStartTag()
                   throws JspException

  Deprecated
  Go through the UserManager session bean to remove the child group from the parent group.

  Throws
    `JspException`

### release

    public void release()

  Deprecated
  Reset the tag's attributes

  Overrides:
    `release` in class `ResultTag`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved